-- 基础信息
base_info = {
	group_id = 245016003
}

-- Trigger变量
defs = {
	group_id = 245016003,
	gear_group_id = 245016002
}

-- DEFS_MISCS
require "V2_6/TowerDefense_MonsterWaveConfig_V3.0"

route_map={
[1]={route_points={1,2,3,4,5,6,7,8,9,10},tags=2},
[2]={route_points={1,2,3,4,5},tags=4},
[3]={route_points={1,2,3,4,5,6,7,8,9,10},tags=8},
}

local entrance_point_map={
[1]=10,
[2]=11,
[3]=12,
}

local entrance_map={
[2]=10,
[4]=11,
[8]=12,
}

local exit_point_list={13}

-- 新的刷怪方案（在MonsterWaveConfig中配置）
local monsterTides = tides_level_04_sample

local superMonsters = {22010305, 24010102, 24010302}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 3001, pos = { x = 139.112, y = -13.401, z = -22.440 }, rot = { x = 0.000, y = 2.868, z = 0.000 }, tag = 2 },
	{ config_id = 3002, pos = { x = 137.469, y = -13.401, z = -22.357 }, rot = { x = 0.000, y = 2.868, z = 0.000 }, tag = 2 },
	{ config_id = 3003, pos = { x = 135.761, y = -13.402, z = -22.272 }, rot = { x = 0.000, y = 2.868, z = 0.000 }, tag = 2 },
	{ config_id = 3004, pos = { x = 134.322, y = -13.408, z = -22.200 }, rot = { x = 0.000, y = 2.868, z = 0.000 }, tag = 2 },
	{ config_id = 3005, pos = { x = 102.848, y = -9.646, z = -52.116 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3006, pos = { x = 104.398, y = -9.648, z = -52.115 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3007, pos = { x = 105.864, y = -9.669, z = -52.115 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3008, pos = { x = 107.269, y = -9.669, z = -52.115 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3009, pos = { x = 108.866, y = -9.669, z = -52.115 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3010, pos = { x = 74.418, y = -13.376, z = -9.015 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3011, pos = { x = 75.969, y = -13.376, z = -9.015 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3012, pos = { x = 77.435, y = -13.377, z = -9.015 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3013, pos = { x = 78.840, y = -13.380, z = -9.015 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3014, pos = { x = 80.437, y = -13.379, z = -9.015 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3015, pos = { x = 74.418, y = -13.376, z = -7.015 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3016, pos = { x = 75.969, y = -13.376, z = -7.015 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3017, pos = { x = 77.435, y = -13.378, z = -7.015 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3018, pos = { x = 78.840, y = -13.380, z = -7.015 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3019, pos = { x = 80.437, y = -13.371, z = -7.015 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 3020, pos = { x = 139.112, y = -13.401, z = -20.639 }, rot = { x = 0.000, y = 2.868, z = 0.000 }, tag = 2 },
	{ config_id = 3021, pos = { x = 137.469, y = -13.402, z = -20.557 }, rot = { x = 0.000, y = 2.868, z = 0.000 }, tag = 2 },
	{ config_id = 3022, pos = { x = 135.761, y = -13.406, z = -20.471 }, rot = { x = 0.000, y = 2.868, z = 0.000 }, tag = 2 },
	{ config_id = 3023, pos = { x = 134.322, y = -13.409, z = -20.399 }, rot = { x = 0.000, y = 2.868, z = 0.000 }, tag = 2 },
	{ config_id = 3024, pos = { x = 102.848, y = -9.646, z = -50.901 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3025, pos = { x = 104.398, y = -9.669, z = -50.901 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3026, pos = { x = 105.864, y = -9.669, z = -50.901 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3027, pos = { x = 107.269, y = -9.669, z = -50.901 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3028, pos = { x = 108.866, y = -9.669, z = -50.901 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_6/TowerDefense_Monster_V3.0"
